LibreOffice: XRowId Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XRowId Interface Reference

provides SQL ROWID value which is a built-in type, a value of which can be thought of as an address for its identified row in a database table. More...

`import "XRowId.idl";`

## Public Member Functions
boolean | equals ([in]any x)
| Compares this RowId to the specified object.
sequence< byte > | getBytes ()
| Returns an array of bytes representing the value of the SQL ROWID designated by this RowId object.
long | hashCode ()
| Returns a hash code value of this RowId object.
string | toString ()
| Returns a String representing the value of the SQL ROWID designated by this RowId object.

## Detailed Description

provides SQL ROWID value which is a built-in type, a value of which can be thought of as an address for its identified row in a database table.

Whether that address is logical or, in any respects, physical is determined by its originating data source for the releasing of resources acquired by the implementing object.

Since
  LibreOffice 25.8

## Member Function Documentation

## ◆ equals()

boolean equals | ( | [in] any | x | ) |

Compares this RowId to the specified object.

Exceptions

  SQLException | if a database access error occurs.

## ◆ getBytes()

sequence< byte > getBytes | ( |  | ) |

Returns an array of bytes representing the value of the SQL ROWID designated by this RowId object.

Exceptions

  SQLException | if a database access error occurs.

## ◆ hashCode()

long hashCode | ( |  | ) |

Returns a hash code value of this RowId object.

Exceptions

  SQLException | if a database access error occurs.

## ◆ toString()

string toString | ( |  | ) |

Returns a String representing the value of the SQL ROWID designated by this RowId object.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XRowId.idl